package de.uni_passau.fim.seibt.gitwrapper.process;

/**
 * An {@link Exception} indicating that a wrapped tool is not working.
 */
public class ToolNotWorkingException extends Exception {

    public ToolNotWorkingException() {}

    public ToolNotWorkingException(String message) {
        super(message);
    }

    public ToolNotWorkingException(String message, Throwable cause) {
        super(message, cause);
    }

    public ToolNotWorkingException(Throwable cause) {
        super(cause);
    }

    public ToolNotWorkingException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
